<?php

/**
 * Class About | src/views/pages/about.php
 * 
 * @author Innocow
 * @copyright 2020 Innocow
 */

namespace Innocow\Security_Audit\Views\Pages;

use Innocow\Security_Audit\Views\Copy;

if ( ! defined( 'ABSPATH' ) ) { exit; }

class About {

    public static function js( $use_echo=false ) {

        $js = <<< JAVASCRIPT

            document.getElementById( "reveal-email" )
            .addEventListener( "click", function( ev ) {

                let p = "bWFpbHRvOg==";
                let u = "aGVsbG8=";
                let s = "QA==";
                let d = "aW5ub2Nvdy5jb20="
                let em = atob( u ) + atob( s ) + atob( d );

                let a = document.createElement( "a" );
                a.href = atob( p ) + em;
                a.innerText = em;

                let emContainer = document.getElementById( "email" );
                emContainer.appendChild( a );

                ev.currentTarget.setAttribute( "style", "display:none" );

            } );


JAVASCRIPT;

        if ( $use_echo ) {

            echo $js;

        }

        return $js;

    }

    public static function html( array $page_elements, $use_echo=false ) {

        if ( isset( $page_elements["nav"] ) ) {

            $html_nav = $page_elements["nav"];

        }

        if ( isset( $page_elements["title"] ) ) {

            $html_title = $page_elements["title"];

        }

        $txt_title = __( "About", "icwpsa" );
        $txt_tips = __( "Best Practices and Advice", "icwpsa" );
        $txt_links_title = __( "Helpful Links", "icwpsa" );
        $txt_furtherhelp = __( "Further Help", "icwpsa" );

        $Copy = new Copy();
        $preamble = $Copy->get( "about_preamble" );
        $bestpractices = $Copy->get( "about_advice" );
        $furtherhelp = $Copy->get( "about_furtherhelp" );

        $js = self::js();

        $html = <<< HTML

        <div class="wrap">

        $html_title

        <hr class="wp-header-end">

        $html_nav

        <h2>$txt_title</h2>

        $preamble

        <h3>$txt_tips</h3>

        $bestpractices

        <h3>$txt_links_title</h3>
        
        <ol>
            <li><a href="https://wordpress.org/support/article/hardening-wordpress/" target="_blank">
                Official Wordpress Hardening Guide
            </a></li>
            <li><a href="https://www.digitalocean.com/community/tutorials/an-introduction-to-linux-permissions" target="_blank">
                An Introduction to Linux Permissions 
            </a></li>
        </ol>

        <h3>$txt_furtherhelp</h3>

        $furtherhelp

        <script>$js</script>

HTML;

        if ( ! $use_echo ) {
        
            return $html;

        } 

        echo $html;

    }    

}